<?php
/**
 * Plumrocket Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the End-user License Agreement
 * that is available through the world-wide-web at this URL:
 * http://wiki.plumrocket.net/wiki/EULA
 * If you are unable to obtain it through the world-wide-web, please
 * send an email to support@plumrocket.com so we can send you a copy immediately.
 *
 * @package     Plumrocket Private Sales
 * @copyright   Copyright (c) 2016 Plumrocket Inc. (http://www.plumrocket.com)
 * @license     http://wiki.plumrocket.net/wiki/EULA  End-user License Agreement
 */

class Step1 extends AbstractStep
{

	public function run()
	{
		if ($this->canRemoveFiles()) {
			file_put_contents('../maintenance.flag', '');
			$this->removeFiles();
			Mage::app()->cleanCache();
			$this->success = "<h1>Step 1 is successfully completed!</h1><h2>Please, install new version of the module and run Step 2.</h2>";
		} else {
			throw new Exception('exec() must be enabled for removing files. Enable exec() function or remove files manually');
		}
	}

	private function canRemoveFiles()
	{
		return function_exists('exec');
	}

	private function removeFiles()
	{
		foreach ($this->config->pathes as $path) {
			$basePath = Mage::getBaseDir();
			exec('rm -rf ' . $basePath . $path);
			if (file_exists($basePath . $path)) {
				echo 'Cannot remove ' . $basePath . $path.'. Please remove it manually<br/>';
			}
		}
	}


	private function renameAttributes()
	{
		$resource = Mage::getSingleton("core/resource");
		$setup = new Mage_Eav_Model_Entity_Setup('core_setup');
		foreach ($this->config->renameAttributes as $old => $new) {
			$setup->run("UPDATE `" . $resource->getTableName('eav_attribute') . "` SET attribute_code='$new' WHERE attribute_code = '$old'");
		}

		$setup->run("DELETE FROM " . $resource->getTableName('core_resource') . " WHERE `code` = 'privatesales_setup'");
	}
}