<?php
/**
 * Plumrocket Inc.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the End-user License Agreement
 * that is available through the world-wide-web at this URL:
 * http://wiki.plumrocket.net/wiki/EULA
 * If you are unable to obtain it through the world-wide-web, please
 * send an email to support@plumrocket.com so we can send you a copy immediately.
 *
 * @package     Plumrocket Private Sales
 * @copyright   Copyright (c) 2016 Plumrocket Inc. (http://www.plumrocket.com)
 * @license     http://wiki.plumrocket.net/wiki/EULA  End-user License Agreement
 */

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

require_once('../app/Mage.php');
umask(0);
Mage::app('default');
$resource = Mage::getSingleton("core/resource");
$setup = new Mage_Eav_Model_Entity_Setup('core_setup');

require_once('core/Config.php');
?>


<!DOCTYPE html>
<html>
<head>
	<style>
		body {
			margin: 0; padding: 0;
			font-family: Arial;
		}

		h1	{font-size: 28px; color:#000; font-weight: 400;}
		h2 {font-size: 16px; color: #929292; font-weight: 400;}
		 .mg-btn {
		  border-style: solid;
		  border-width: 1px;
		  border-color: rgb(66, 130, 31);
		  border-radius: 5px;
		  background-color: rgb(96, 166, 57);
		  box-shadow: inset 1px 1.732px 1px 0px rgba(255, 255, 255, 0.196);
		  width: 188px;
		  height: 38px;
		  z-index: 4;
		  font-weight: 700;
		  color: #fff;
		  font-size: 18px;
		  display: block;
		  line-height: 38px;
		  margin: 7px auto;
		  text-decoration: none;
		}

		.mg-btn:hover {background-color: rgb(118, 189, 78);}
	ul,
	ul li {list-style: none; margin: 0; padding: 0}

	</style>
</head>
<body>
	<div style="text-align: center; padding: 20px;">
	<?php
	$request = Mage::app()->getRequest();
	if ($step = $request->getParam('step')) {
		require_once('core/AbstractStep.php');
		$config = new Config();
		if ($step == '1') {
			require_once('core/Step1.php');
			$stepModel = new Step1($config);
		} elseif ($step == '2') {
			require_once('core/Step2.php');
			$stepModel = new Step2($config);
		}
		$stepModel->run();

		if ($stepModel->getError()) {
			?>
			<h1 style="color:red;"><?php echo $stepModel->getError(); ?></h1>
			<?php
		}

		if ($stepModel->getSuccess()) {
			?>
			<h1><?php echo $stepModel->getSuccess(); ?></h1>
			<?php
		}
	} else {
		?>
		<h1>Welcome to Upgrading Tool!</h1>
		<?php
	}

	?>

	<ul style="padding-top: 40px;">
		<?php if (!isset($_GET['step'])): ?>
			<li><a class="mg-btn" href="?step=1">Run Step 1</a></li>
		<?php elseif ($_GET['step'] == '1' || $stepModel->getError()): ?>
			<li><a class="mg-btn" href="?step=2">Run Step 2</a></li>
		<?php endif; ?>
	</ul>
	</div>
</body>
</html>